Generation Details
Show all generation metadata along with its corresponding engines.
curl --request GET \
--url https://api.remapdb.com/v1/generations/{generation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.remapdb.com/v1/generations/{generation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.remapdb.com/v1/generations/{generation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
All API methods require Bearer authentication. Use your existing API key as the bearer token.
Authorization header format: Authorization: Bearer YOUR_API_KEY.
Headers
Method accept custom language. Content of the header should be the code of the language you are requesting. E.g.: en.
bg, da, de, en, es, et, fi, fr, hr, it, lt, lv, nb, nl, nn, pt, ru, sv, tr, zs "en"
Path Parameters
Generation ID.
1 <= x <= 2147483647Response
Success
Generation metadata object
List with all the engines.
1000Show child attributes
Show child attributes
Generation ID.
123
Manufacturer object
Show child attributes
Show child attributes
Model object
Show child attributes
Show child attributes
Generation Name.
2048^[^\u0000-\u001F\u007F]*$"B5"
Link to generations's photo.
2048^[^\u0000-\u001F\u007F]*$"https://cdn.remapdb.com/api/generations/audi_a4_b5_31pynyoby3ok0.jpg"
URL-friendly name (slug).
2048^[^\u0000-\u001F\u007F]*$"b5"
Vehicle type object
Show child attributes
Show child attributes
Year of manufacture.
1994
End year of manufacture.
2001
